Results 1 to 3 of 3

Thread: how do you update ClamAV and ClamTK in Knoppix7.2

  1. #1

    how do you update ClamAV and ClamTK in Knoppix7.2

    ClamTK seems to be the only AV app offered by synaptic in K7.2, but neither the clamTK GUI nor the ClamAV engine available in synaptic is current. The available versions are 4.41 and 0.97.8, while the latest stable versions on the apps' home pages are 5.03 and 0.98.1.

    Can I use the deb packages of the new versions to update, and if so, what's the procedure.

    The other repository on the K7.2 desktop, software centre, doesn't seem to work on my system. When I click on it, nothing happens.

  2. #2
    Junior Member AussiePete's Avatar
    Join Date
    May 2013
    Location
    Sydney, Australia
    Posts
    18
    Hi otropogo,
    I'll restrict my comments to clamTK because that's the package I use. The latest version 5.03 is probably still in the "testing" stage and not classified as "stable" as yet. Eventually the latest version will show up in the Synaptic package manger. I too was tempted to update to the newest version and then thought better to be safe than sorry.
    The important thing is that you update the virus definition files before running clamTK. You can do this by going to the "help" in the main menu and click on update.
    As for your problem with the "software centre", I had a similar problem and it turned out to be a broken package. Try the following in a terminal to fix broken packages and dependencies:
    Code:
    sudo apt-get update
    sudo apt-get -f install
    Hope this fixes your problem.

  3. #3
    Junior Member AussiePete's Avatar
    Join Date
    May 2013
    Location
    Sydney, Australia
    Posts
    18
    I should have told you about package versions. The latest version of clamtk is 4.45-1 (testing). So the later versions must still be classified as "unstable". You can view these versions in synaptic by clicking on clamtk, then if you have the properties window showing down the bottom, select the "version" tab (if not select properties from the context menu by right clicking on clamTK). You will see all the versions shown here, if you wish you can select a later "testing" version and then go to the "packages" menu item and select "force version...". BUT it's not advisable because not only are the packages still being tested but sometime the dependencies are all out of sync and then you end up with a broken package!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •